//______________________________________________models
models\mapobjects\kf_box\curtain
{
	cull none
	sort banner
	surfaceparm trans
	deformVertexes bulge 32 3 .5
	{
	map textures/kf_box/curtain2.tga
	rgbGen const ( .3 .3 .3 )
	//tcmod scale 2 1
	alphafunc ge128
	}
}

//______________________________________________critters

textures/kf_box/flutterby1
{	
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	qer_editorimage textures/kf_box/flutterby.tga
	deformVertexes move 0 1 1 sin 1 15 0 .5
	deformVertexes wave 2 sin .5 .5 0 10
	{ 
	map textures/kf_box/flutterby.tga
	rgbGen wave noise .5 .3 0 1
	blendfunc blend
	}
}

textures/kf_box/flutterby2
{	
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	qer_editorimage textures/kf_box/flutterby.tga
	deformVertexes move 0 1 1 sin 1 20 0 .4
	deformVertexes wave 2 sin .5 .5 0 10
	{ 
	map textures/kf_box/flutterby.tga
	rgbGen wave noise .3 .2 0 .5
	blendfunc blend
	}
}

textures/kf_box/flutterby_big
{	
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	qer_editorimage textures/kf_box/flutterby.tga
	deformVertexes move .5 1 1 sin 1 20 0 .6
	deformVertexes wave 4 sin .7 .5 0 10
	{ 
	map textures/kf_box/flutterby.tga
	rgbGen wave noise .5 .5 0 .5
	blendfunc blend
	}
}



//_____________________________________________world
textures/kf_box/polsterstool
{	
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm clipshot
	surfaceparm ai_nosight
	{ 
	map textures/kf_box/polsterstool.tga
	rgbgen identity
	}
	{
	map $lightmap
	blendfunc filter
	}
	
}

textures/kf_box/stoolside
{	
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm clipshot
	surfaceparm ai_nosight
	qer_editorimage textures/chateau/wood_c05.tga
	{ 
	map textures/chateau/wood_c05.tga
	rgbgen identity
	}
	{
	map $lightmap
	blendfunc filter
	}
	
}

textures/kf_box/steplight
{	
	qer_editorimage textures/kf_box/steplight.tga
	q3map_lightimage textures/kf_box/steplight_color.tga
	surfaceparm pointlight
	q3map_surfacelight 2000
	polygonoffset	
	{ 
	map textures/kf_box/steplight.tga
	rgbgen vertex
	blendfunc blend
	}
	{ 
	map textures/kf_box/steplight_dyn.tga
	rgbGen const ( .5 .5 .5 )
	blendfunc add
	}	
}

textures/kf_box/steplight_flicker
{	
	qer_editorimage textures/kf_box/steplight.tga
	q3map_lightimage textures/kf_box/steplight_color.tga
	surfaceparm pointlight
	q3map_surfacelight 2000
	polygonoffset	
	{ 
	map textures/kf_box/steplight.tga
	rgbgen vertex
	blendfunc blend
	}
	{ 
	map textures/kf_box/steplight_dyn.tga
	rgbGen wave noise .5 .5 0 7
	blendfunc add
	}	
}


textures/kf_box/steplight_off
{	
	qer_editorimage textures/kf_box/steplight.tga
	surfaceparm pointlight
	polygonoffset	
	{ 
	map textures/kf_box/steplight.tga
	rgbgen vertex
	alphafunc ge128
	}	
}


textures/kf_box/mirror
{
	qer_editorimage textures/common/dirtymirror2.tga		
	surfaceparm pointlight
	portal
	{
		map textures/common/dirtymirror2.tga
		rgbgen vertex
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}

}

textures/kf_box/window
{
	qer_editorimage textures/kf_box/window3.tga		
	surfaceparm trans
	{
	map textures/effects/wdfx.tga
	blendFunc add
	tcmod scale 2 2
	rgbgen const ( .05 .05 .05 )
	tcGen environment
	}
	{
	map textures/kf_box/window3.tga
	rgbgen identity
	alphafunc ge128
	depthwrite
	}
	{
	map $lightmap
	blendfunc filter
	depthfunc equal
	}

}


textures/kf_box/curtain2
{
	qer_editorimage textures/kf_box/curtain2.tga
	cull none
	sort banner
	surfaceparm nonsolid
	{
	map textures/kf_box/curtain2.tga
	rgbgen identity
	alphafunc ge128
	depthwrite
	}
	{
	map $lightmap
	blendfunc filter
	depthfunc equal
	}

}

textures/kf_box/curtain2_blend
{
	qer_editorimage textures/kf_box/curtain2.tga
	cull none
	sort banner
	surfaceparm nonsolid
	surfaceparm pointlight
	{
	map textures/kf_box/curtain2.tga
	rgbgen vertex
	blendfunc blend
	}
}


textures/kf_box/curtain2closed
{
	qer_editorimage textures/kf_box/curtain2.tga
	{
	map textures/kf_box/curtain2.tga
	rgbgen identity
	}
	{
	map $lightmap
	blendfunc filter
	}
}

//_____________________________________________________________commons

textures/kf_box/areaportal
{
    surfaceparm areaportal
    surfaceparm nodraw
    surfaceparm nomarks
    surfaceparm nonsolid
    surfaceparm structural
    surfaceparm trans
qer_editorimage textures/kf_box/steplight_color.tga
	qer_trans 	0.5
}

textures/kf_box/moonlight
{
	qer_editorimage textures/kf_box/moonlight.tga	
	surfaceparm nodlight
	surfaceparm nolightmap
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm sky
	skyparms - - -
	q3map_sun	0.42 0.47 0.64 100 135 30 //from northwest
}

textures/kf_box/meanwhile
{
	qer_editorimage textures/kf_box/meanwhile.tga
	surfaceparm nolightmap
	deformVertexes wave 100 square 3 1 .5 .25
	{
	map textures/kf_box/meanwhile.tga
	rgbGen wave noise .5 .3 0 10
	}
	{
	map textures/kf_box/scanlines.tga
	tcmod scroll 0 .5
	blendfunc filter
	}
}

textures/kf_box/showbegin
{
	qer_editorimage textures/kf_box/showbegin.tga
	surfaceparm nolightmap
	deformVertexes wave 100 square 3 1 .5 .25
	{
	map textures/kf_box/showbegin.tga
	rgbGen wave noise .5 .3 0 10
	}
	{
	map textures/kf_box/scanlines.tga
	tcmod scroll 0 .5
	blendfunc filter
	}
}

levelshots/kf_box
{
	{
	map textures/kf_box/levelshot.tga
	rgbGen wave noise .5 .2 0 10
	}
	{
	map textures/kf_box/scanlines.tga
	tcmod scroll 0 .5
	blendfunc filter
	}
}


textures/kf_box/lightblocker_nonsolid
{
	qer_editorimage textures/kf_box/moonlight.tga	
	surfaceparm nonsolid
	surfaceparm nodraw
	surfaceparm nolightmap
}

//_____________________________________________________________envirobox

textures/kf_box/nightsky
{
	surfaceparm nolightmap
	qer_editorimage textures/skies/dimclouds2.tga
	{
	map textures/skies/nightsky1.tga
	rgbgen const ( .7 .7 .7 )
	tcmod scale 4 4
	}
	
}

textures/kf_box/mountainview
{	
	surfaceparm nolightmap
	qer_editorimage textures/kf_box/mountainview.tga
	//sort 8
	{ 
	map textures/kf_box/mountainview.tga
	rgbgen const ( .5 .5 .5 )
	blendFunc blend
	}
	
}

textures/kf_box/moon
{	
	surfaceparm nolightmap
	qer_editorimage textures/kf_box/moon.tga
	nopicmip
	nomipmaps
	{ 
	map textures/kf_box/moon.tga
	rgbgen const ( .5 .5 .5 )
	blendFunc add
	}
	
}


textures/kf_box/lakeblue
{	
	surfaceparm pointlight
	{ 
	map textures/kf_box/lakeblue.tga
	rgbgen const ( .5 .5 .5 )
	}		
}


textures/kf_box/trees
{	
	surfaceparm pointlight
	qer_editorimage textures/kf_box/trees.tga
	sort 10
	{ 
	map textures/kf_box/trees.tga
	rgbgen vertex
	blendFunc blend
	}	
}

textures/kf_box/blacky
{	
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm nolightmap
	nofog
	{ 
	map textures/kf_box/blacky.tga
	}		
}



